<?php
require_once 'config.php';



define('PHP_API_OK', 0);
define('PHP_LOGIN_OK', 100);
define('PHP_CREATED_OK', 10);
define('PHP_API_BAD_PARAM', -1);
define('SESSION_TIMEOUT_LOGOUT',6000);

define('SUPPORT_PHONE','+234 (818)-3866434');

define('UPLOAD_FILE_SIZE',1);

define('OFFER_ACCEPT',100);  
define('OFFER_REJECT',333);  
define('OFFER_CANCEL',222);
define('OFFER_EXPIRE',444);  

define('JOB_INTEREST_ACCEPT',100);  
define('JOB_INTEREST_REJECT',200);
define('JOB_INTEREST_CANCEL',300);  

define('SMONEY_PROCC_MANUAL',100);
define('SMONEY_PROCC_AUTO',200);
define('SMONEY_PROCC_INTERSWITCH',300);

define('ACCOUNT_AGREE_JOBS',100);
define('ACCOUNT_AGREE_REFER',200);


define('WRENCHBOARD_SESSION_CHECK', 299);
define('WRENCHBOARD_USER_LOGIN', 300);
define('WRENCHBOARD_USER_LOGOUT', 301);
define('WRENCHBOARD_CREATE_ACCOUNT', 320);

define('CONTRACT_CANCEL_CONTRACT', 7);
define('CONTRACT_EXTEND_TIMELINE', 9);
define('CONTRACT_NOTIFY_COMPLETE', 4);
define('CONTRACT_REQUEST_CANCEL', 3);
define('CONTRACT_ACCEPT_COMPLETE', 5);
define('CONTRACT_REJECT_COMPLETE', 1);


//**************************************************************
define('WRENCHBOARD_BKO_START', 10000);

define('WRENCHBOARD_BKO_LOGIN', 10010);
define('WRENCHBOARD_BKO_CREATEUSER', 10015);
define('WRENCHBOARD_BKO_UPDATEUSER', 10020);

define('WRENCHBOARD_BKO_END', 10999);
//**************************************************************
define('WRENCHBOARD_ACCOUNT_START', 11000);

define('WRENCHBOARD_ACCOUNT_TESTEMAIL', 11001);
define('WRENCHBOARD_ACCOUNT_PENDING', 11010);
define('WRENCHBOARD_VERIFY_PENDING_LINK', 11015);
define('WRENCHBOARD_ACCOUNT_RESETPASS', 11016);       
define('WRENCHBOARD_ACCOUNT_SETPASSWD', 11017);       

define('WRENCHBOARD_DELETE_PENDING_LINK', 11018);
define('WRENCHBOARD_RESEND_PENDING_LINK', 11019);


define('WRENCHBOARD_ACCOUNT_CREATEACC', 11020);
define('WRENCHBOARD_ACCOUNT_LOGIN', 11025);
define('WRENCHBOARD_FACEBOOK_LOGIN', 11026);
define('WRENCHBOARD_GOOGLE_LOGIN', 11027);
define('WRENCHBOARD_APPLE_LOGIN', 11031);
define('WRENCHBOARD_START_JOBLIST', 11028);

define('WRENCHBOARD_SEND_CONTACTUS', 11030);
define('WRENCHBOARD_ACCOUNT_SENDREFER',11032);
define('WRENCHBOARD_ACCOUNT_REFERLINK',11033);
define('WRENCHBOARD_SESSION_VERIFY',  11034);
define('WRENCHBOARD_UPDATE_PROFILE',11035);
define('WRENCHBOARD_ACCOUNT_TERMS',11036);
define('WRENCHBOARD_ACCOUNT_MDESCRIPTION',11037);
define('WRENCHBOARD_ACCOUNT_SAVESKILL', 11038);
define('WRENCHBOARD_ACCOUNT_DELSKILL', 11039);
define('WRENCHBOARD_LOG_MEMBER',   11040);

define('WRENCHBOARD_DELETE_RECACC',   11041);
define('WRENCHBOARD_SAVE_GALLERY', 11042);

define('WRENCHBOARD_ACCOUNT_END', 11999);
//**************************************************************
define('WRENCHBOARD_JOB_CREATEJOB',13010 );       
define('WRENCHBOARD_JOB_DELETEJOB',13011 );

define('WRENCHBOARD_JOB_GROUP_MEMBER', 13015) ;  
define('WRENCHBOARD_JOB_DELETE_GROUPMEMBER',13017);  
define('WRENCHBOARD_JOB_CREATE_GROUP', 13020);     
define('WRENCHBOARD_JOB_DELETE_GROUP',13023);      

define('WRENCHBOARD_JOB_OFFER_INDVI',13030);      
define('WRENCHBOARD_JOB_OFFER_GROUP',13031); 
define('WRENCHBOARD_JOB_OFFER_PUBLIC',13032);
define('WRENCHBOARD_JOB_SEND_INTEREST',13033);
define('WRENCHBOARD_JOB_PROC_INTEREST',13034);
define('WRENCHBOARD_JOB_OFFER_CONCLUDE',13035);
define('WRENCHBOARD_JOB_SEND_QUESTION',13036);
define('WRENCHBOARD_JOB_MRKTINT_QUEST',13037);    
define('WRENCHBOARD_JOB_REPLY_QUESTION',13038);


define('WRENCHBOARD_GROUP_START', 12000);


define('WRENCHBOARD_GROUP_CREATEGROUP', 12010);
define('WRENCHBOARD_GROUP_INVITEGROUP', 12015);
define('WRENCHBOARD_GROUP_ACCEPTGROUP', 12020);

define('WRENCHBOARD_GROUP_END', 12999);
//**************************************************************

define('WRENCHBOARD_CONTRACT_MESSAGE', 14010);      
define('WRENCHBOARD_CONTRACT_STATUS', 14015);          

define('WRENCHBOARD_SMONEY_ADDRECIPIENT', 33010);     
define('WRENCHBOARD_SMONEY_MEMBER', 33020);           
define('WRENCHBOARD_SMONEY_PROCFEE',  33025);

define('WRENCHBOARD_SMONEY_BKOPROC',  33030 );


define('WRENCHBOARD_LOGIN_SHOP', 50501);
define('WRENCHBOARD_LOGIN_ADMIN', 50502);
define('WRENCHBOARD_LOGIN_MANAGER', 50503);

define('WRENCHBOARD_SURVEY_DATA', 55000);
define('WRENCHBOARD_ADD_SURVEY', 55050);
define('WRENCHBOARD_LOAD_SURVEY', 55055);


define('WRENCHBOARD_COMPLETE_SENDMONEY_INTERSW', 555);
define('WRENCHBOARD_GETBILLER_INTERSW', 556);
define('WRENCHBOARD_BILL_PAYMENT_ADVICE_INTERSW', 557);

define('WRENCHBOARD_INTERSW_GETBILLER', 556);
define('WRENCHBOARD_INTERSW_BILL_PAYMENT_ADVICE', 557);
define('WRENCHBOARD_INTERSW_GETBILLERPAYMENTINTEMS', 558);
define('WRENCHBOARD_INTERSW_GETBILLERCATEGORIES', 559);
define('WRENCHBOARD_INTERSW_DO_TRANSFER', 560);
define('WRENCHBOARD_INTERSW_QUERY_TRANSACTION', 561);

define('WRENCHBOARD_ADD_MONEYRECIPIENT', 600);

define('WRENCHBOARD_CREATE_USER_ACCOUNT', 700);
define('WRENCHBOARD_USER_ACCOUNT_LOGIN', 710);
define('WRENCHBOARD_START_PASSWORDRESET', 720);
define('WRENCHBOARD_COMPLETE_PASSWORDRESET', 730);

//#define	WRENCHBOARD_START_ADDMONEY',  770 );
//#define	WRENCHBOARD_COMPLETE_ADDMONEY'	775 );

define('WRENCHBOARD_ADD_MOBILE_TOPUPNUM', 900);
define('WRENCHBOARD_PROMO_CALL', 990);


define('WRENCHBOARD_STOREFACE_GET_ACCOUNT_BALANCE', 891);

define('WRENCHBOARD_LOG_ENTRY', 900000);
define('WRENCHBOARD_CREDIT_TOPUP', 900010);

define('WRENCHBOARD_TOPUP_ORDER', 900020);
define('WRENCHBOARD_TOPUP_ORDER_PURCHASE', 900030);
define('WRENCHBOARD_PAYPAL_IPNMSG', 900090);

define('WRENCHBOARD_BULKTOPUP_ORDER', 700010);
define('WRENCHBOARD_BULKTOPUP_ITEM', 700020);
define('WRENCHBOARD_BULKTOPUP_ITEMUPDATE', 700030);
define('WRENCHBOARD_BULKTOPUP_DELIVER', 700040);

define('WRENCHBOARD_BALANCE_TOPUP_ORDER', 800020);
define('WRENCHBOARD_BALANCE_TOPUP_PURCHASE', 800030);
define('WRENCHBOARD_BALANCE_TOPUP_PAYMENT', 800040);

define('VIRTUAL_AIRTOPUP', 70011);
define('PAY_MODE_BALANCE', 0);
define('PAY_MODE_CCARD', 1);
define('PAY_MODE_BONUS', 9);
define('APPROVED_BALANCE', 5);
define('DISAPROVE_BALANCE', 3);

